# prompt-password-strength [![NPM version](https://img.shields.io/npm/v/prompt-password-strength.svg?style=flat)](https://www.npmjs.com/package/prompt-password-strength) [![NPM monthly downloads](https://img.shields.io/npm/dm/prompt-password-strength.svg?style=flat)](https://npmjs.org/package/prompt-password-strength) [![NPM total downloads](https://img.shields.io/npm/dt/prompt-password-strength.svg?style=flat)](https://npmjs.org/package/prompt-password-strength)

> Custom mask function for prompt-password that adds a 'strength progress meter' that changes color as the password strength increases. Uses zxcvbn, the popular password strength estimation tool brought to you by dropbox.

![prompt-password-strength example](https://raw.githubusercontent.com/enquirer/prompt-password-strength/master/example.gif)

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save prompt-password-strength
```

## Usage

```js
var Prompt = require('prompt-password');
var prompt = new Prompt({
  type: 'password',
  message: 'Enter your password',
  name: 'password',
  mask: require('prompt-password-strength')
});

prompt.run()
  .then(function(answer) {
    console.log(answer);
  });
```

## About

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

Please read the [contributing guide](.github/contributing.md) for advice on opening issues, pull requests, and coding standards.

### Running tests

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](https://twitter.com/jonschlinkert)

### License

Copyright © 2017, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT License](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.6.0, on June 02, 2017._